Name:		moc
Version:	2.5.2
Release:	%mkrel 8
Summary:	Music on Console - Console audio player for Linux/UNIX
License:	GPLv2
Group:		Sound/Players
URL:		http://moc.daper.net/
Source0:	http://ftp.daper.net/pub/soft/moc/stable/%{name}-%{version}.tar.bz2
Patch0:		moc-2.5.2-ffmpeg-4.0.patch

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(popt)
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool-devel
BuildRequires:	magic-devel

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--with-oss --with-alsa --with-jack --with-aac --with-mp3 \
	--with-musepack --with-vorbis --with-flac --with-wavpack \
	--with-sndfile --with-modplug --with-ffmpeg --with-speex \
	--with-samplerate --with-curl --with-rcc
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README README_equalizer AUTHORS config.example keymap.example NEWS
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*


%changelog
* Fri Jul 24 2020 kekepower <kekepower> 2.5.2-8.mga8
+ Revision: 1608816
- Rebuild for new sndio

* Thu Feb 13 2020 umeabot <umeabot> 2.5.2-7.mga8
+ Revision: 1515174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5.2-6.mga7
+ Revision: 1299578
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 2.5.2-5.mga7
+ Revision: 1236126
- fix build on aarch64

* Sat Apr 28 2018 daviddavid <daviddavid> 2.5.2-4.mga7
+ Revision: 1223121
- add patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Tue May 02 2017 akien <akien> 2.5.2-3.mga6
+ Revision: 1098366
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 2.5.2-2.mga6
+ Revision: 1089880
- Rebuild for ffmpeg 3.2.4

* Fri Nov 25 2016 daviddavid <daviddavid> 2.5.2-1.mga6
+ Revision: 1070110
- new version: 2.5.2
- enable popt and magic support

* Wed May 18 2016 daviddavid <daviddavid> 2.5.1-2.mga6
+ Revision: 1016620
- rebuild with new taglib 1.11

* Mon Apr 25 2016 daviddavid <daviddavid> 2.5.1-1.mga6
+ Revision: 1006080
- new version: 2.5.1

* Mon Feb 08 2016 umeabot <umeabot> 2.5.0-5.mga6
+ Revision: 950660
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 cjw <cjw> 2.5.0-4.mga5
+ Revision: 796960
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-3.mga5
+ Revision: 739779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-2.mga5
+ Revision: 682553
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 daviddavid <daviddavid> 2.5.0-1.mga5
+ Revision: 671592
- final version: 2.5.0
- update Source0 link-url

* Fri Mar 21 2014 david-david <david-david> 2.5.0-1.beta2.1.mga5
+ Revision: 606420
- update License and URL
- removed previous patch (unneeded)
- new version: 2.5.0-beta2

* Sat Oct 19 2013 umeabot <umeabot> 2.5.0-1.beta1.3.mga4
+ Revision: 530256
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 pterjan <pterjan> 2.5.0-1.beta1.2.mga4
+ Revision: 456868
- Build against ncursesw (mga#10344)

* Mon Jul 15 2013 fwang <fwang> 2.5.0-1.beta1.1.mga4
+ Revision: 454458
- force bump rel
- use mkrel
- rebuild for new ffmpeg

* Sun Jan 20 2013 pterjan <pterjan> 2.5.0-0.3.beta1.mga3
+ Revision: 390135
- Add missing BuildRequires
- imported package moc

